<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
InsertRow Method (IEdmBomView2)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBomView2 Interface : InsertRow Method (IEdmBomView2)

Visual Basic
C#
C++/CLI

poRow
  IEdmBomCell; existing row

eInsertOption
  Where the new BOM row is inserted with respect to poRow as defined in EdmBomInsertRowOption

ppoNewRow
  IEdmBomCell

Inserts a row into this named BOM.

# Syntax

Visual Basic |
--- | ---

    Sub InsertRow( _
       ByVal poRow As EdmBomCell, _
       ByVal eInsertOption As EdmBomInsertRowOption, _
       ByRef ppoNewRow As EdmBomCell _
    )

C# |
--- | ---

    void InsertRow(
       EdmBomCell poRow,
       EdmBomInsertRowOption eInsertOption,
       out EdmBomCell ppoNewRow
    )

C++/CLI |
--- | ---

    void InsertRow(
    &   EdmBomCell^ poRow,
    &   EdmBomInsertRowOption eInsertOption,
    &   [Out] EdmBomCell^ ppoNewRow
    )

#### Parameters

poRow
  IEdmBomCell; existing row
eInsertOption
  Where the new BOM row is inserted with respect to poRow as defined in EdmBomInsertRowOption
ppoNewRow
  IEdmBomCell

# Example

Add Row to Bill of Materials (VB.NET)
Add Row to Bill of Materials (C#)

# Remarks

This method is valid only for named BOMs.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBomView2 Interface
IEdmBomView2 Members

# Availability

SOLIDWORKS PDM Professional 2011 SP04